﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace stepnc_view
{
    public partial class Form1 : Form
    {
	STEPNCLib.AptStepMaker apt = new STEPNCLib.AptStepMaker();

	public Form1()
	{
	    InitializeComponent();
	}

	private void button1_Click(object sender, EventArgs e)
	{
	    OpenFileDialog dlg = new OpenFileDialog();
	    dlg.Title = "Open STEP File";
 	    dlg.Filter = "STEP-NC Files (*.stp;*.step;*.p21;*.stpnc)|*.stp;*.step;*.p21;*.stpnc|" +
            "STEP Files (*.stp;*.step;*.p21)|*.stp;*.step;*.p21|" +
		    "All Files (*.*)|*.*";

	    if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK) 
	    {
		    apt.OpenProject(dlg.FileName);
            geomView1.LoadSTEPFile(dlg.FileName);

		    System.Int64 wp = apt.GetCurrentWorkpiece();

    		geomView1.DisplayMode = STEPNCLib.GeomView.DisplayModeValue.VIEW;
	    	geomView1.ViewSingleProduct(wp);
		    geomView1.ZoomAll();
	    }
	}
    }
}